Activities
Returns a paginated list of activities for the specified resource.
Bearer access_token
Identifier of the resource whose activities are requested.
1Type of the resource whose activities are requested.
Filter by related resource IDs. Semicolon-separated list of numbers.
1;2;3Type of related resources. Required if filterEntityIds is provided.
Filter by activity types. Semicolon-separated list.
Filter by activity statuses. Semicolon-separated list.
Filter by job creation date range — start of range (inclusive)
2024-11-20T01:04:56.649ZFilter by job creation date range — end of range (inclusive)
2024-11-20T01:04:56.649ZFilter by creator IDs. Semicolon-separated list.
1;2Number of records to skip
0Maximum number of records to return
20Successfully retrieved activities
Total number of jobs matching the filter
1Invalid query parameters
The requested resource was not found.
Unexpected internal error while processing activities.
GET /topologies/{topologyId}/activities?offset=1&limit=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 1,
"rows": [
{
"id": 52161,
"type": "Commit To Branch",
"status": "Completed",
"source": {
"id": 1,
"type": "Branch",
"name": "main",
"metadata": {
"organizationType": "Sandbox",
"connectionType": "Salesforce",
"environment": "Dev",
"assignApps": {
"backupAndArchive": true,
"devOps": true,
"dataMigrator": true
},
"externalId": "00D..."
}
},
"target": {
"id": 1,
"type": "Branch",
"name": "main",
"metadata": {
"organizationType": "Sandbox",
"connectionType": "Salesforce",
"environment": "Dev",
"assignApps": {
"backupAndArchive": true,
"devOps": true,
"dataMigrator": true
},
"externalId": "00D..."
}
},
"createdBy": {
"id": 1,
"name": "dev dev"
},
"createdAt": "2024-11-20T01:04:56.649Z",
"duration": "00:00:04"
}
]
}Creates a new activity.
Bearer access_token
Activity type.
Unique identifier of the newly created activity.
123Invalid activity payload.
A required related resource was not found.
The request conflicts with the current state of the resource.
Unexpected internal error while processing activities.
POST /topologies/{topologyId}/activities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 4649
{
"type": "Retrieve",
"deployManifest": {
"branchId": 42,
"organizationId": 42,
"componentIds": [
1024,
1025,
1026
],
"selectAll": false,
"search": "Account",
"types": [
"ApexClass",
"ApexTrigger"
],
"updatedByIds": [
1,
2,
5
],
"externalUpdatedBy": [
"John Doe",
"Jane Doe"
],
"startUpdatedAt": "2025-05-05T16:37:33.740Z",
"endUpdatedAt": "2025-05-05T16:37:33.740Z",
"startExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"endExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"origin": [
"Production",
"Feature branch"
],
"organizationProperties": {
"selectAllDestructiveChanges": false,
"destructiveChangeIds": [
301,
302
],
"searchDestructiveChanges": "Account",
"typesDestructiveChanges": [
"CustomField",
"CustomObject"
],
"testLevel": "NoTestRun",
"tests": [
"AccountTest",
"OpportunityTest"
],
"isPartialProfileDeploy": false,
"isPartialPermissionSetDeploy": false,
"ignoreWarnings": false,
"postDeployApex": "System.debug('Deploy complete');",
"isVlocityLwcActivation": true,
"dataKitActivationIsEnabled": false,
"isVlocityVerboseLogs": false
}
},
"validateManifest": {
"branchId": 12,
"organizationId": 12,
"componentIds": [
1024,
1025,
1026
],
"selectAll": false,
"search": "Account",
"types": [
"ApexClass",
"ApexTrigger"
],
"updatedByIds": [
1
],
"externalUpdatedBy": [
"text"
],
"startUpdatedAt": "2025-05-05T16:37:33.740Z",
"endUpdatedAt": "2025-05-05T16:37:33.740Z",
"startExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"endExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"origin": [
"text"
],
"organizationProperties": {
"selectAllDestructiveChanges": false,
"destructiveChangeIds": [
301,
302
],
"searchDestructiveChanges": "Account",
"typesDestructiveChanges": [
"CustomField",
"CustomObject"
],
"testLevel": "NoTestRun",
"tests": [
"AccountTest",
"OpportunityTest"
],
"ignoreWarnings": true,
"isPartialProfileValidate": true,
"isPartialPermissionSetValidate": true
}
},
"mergeManifest": {
"source": "branch",
"targetBranchId": 1,
"sourceBranchId": 1,
"pullRequestId": 1
},
"retrieveManifest": {
"organizationId": 7,
"declarativeFilterLine": [
{
"field": "type",
"option": "equals",
"value": "CustomObject"
},
{
"field": "type",
"option": "equals",
"value": "CustomField"
}
],
"customLogic": "1 OR 2",
"vlocityDeclarativeFilterLine": [
{
"field": "VlocityDataPackType",
"option": "equals",
"value": "OmniScript"
},
{
"field": "LastModifiedByName",
"option": "contains",
"value": "John"
}
],
"vlocityCustomLogic": "1 OR 2"
},
"retrieveComponentUsersManifest": {
"organizationId": 7,
"declarativeFilterLines": [
{
"field": "type",
"option": "equals",
"value": "CustomObject"
},
{
"field": "type",
"option": "equals",
"value": "CustomField"
}
],
"customLogic": "1 OR 2"
},
"searchAndReplaceManifest": {
"message": "text",
"searchText": "text",
"replaceText": "text",
"selectAll": true,
"componentIds": [
1
],
"types": [
"text"
],
"search": "Account",
"updatedByIds": [
1
],
"externalUpdatedBy": [
"text"
],
"startUpdatedAt": "2025-05-05T16:37:33.740Z",
"endUpdatedAt": "2025-05-05T16:37:33.740Z",
"startExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"endExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"origin": [
"text"
],
"branchId": 1
},
"commitToBranchManifest": {
"branchId": 42,
"organizationId": 12,
"message": "feat: update Account triggers",
"componentIds": [
1024,
1025,
1026
],
"selectAll": false,
"search": "Account",
"types": [
"ApexClass",
"CustomObject"
],
"startExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"endExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"startCreatedAt": "2025-05-05T16:37:33.740Z",
"endCreatedAt": "2025-05-05T16:37:33.740Z",
"externalUpdatedBy": [
"005dM00000CCJmLQAX",
"005dM00000REJmPAKE"
],
"createdBy": [
1,
2,
5
]
},
"quickDeployManifest": {
"deploymentId": 1
},
"overwriteProtectionManifest": {
"branchId": 1,
"organizationId": 1,
"componentIds": [
1
],
"selectAll": true,
"search": "text",
"types": [
"text"
],
"updatedByIds": [
1
],
"externalUpdatedBy": [
"text"
],
"startUpdatedAt": "2025-05-05T16:37:33.740Z",
"endUpdatedAt": "2025-05-05T16:37:33.740Z",
"startExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"endExternalUpdatedAt": "2025-05-05T16:37:33.740Z",
"origin": [
"text"
]
},
"migrationManifest": {
"token": "text",
"organizationIds": [
"text"
],
"userIds": [
"text"
],
"adminUserId": "text",
"repositoryId": "text",
"ignoreNamespace": false
},
"preDeployFixSearchManifest": {
"branchId": 1,
"organizationId": 1
},
"preDeployFixRetrieveManifest": {
"branchId": 1,
"preDeployFixSearchId": 1,
"organizationId": 1,
"dependencyIds": [
1
],
"message": "text",
"selectAll": true,
"search": "text",
"types": [
"text"
]
},
"preDeployFixRemoveManifest": {
"branchId": 1,
"preDeployFixSearchId": 1,
"selectAll": true,
"dependencyIds": [
1
],
"message": "text",
"search": "text",
"types": [
"text"
]
},
"preDeployFixUpdateManifest": {
"branchId": 1,
"preDeployFixSearchId": 1,
"selectAll": true,
"apiVersionIds": [
1
],
"message": "text",
"search": "text",
"types": [
"text"
]
},
"rollbackManifest": {
"branchId": 1,
"deployId": 1,
"selectAll": true,
"deploymentChangeIds": [
1
],
"search": "Account",
"types": [
"CustomField",
"CustomObject"
],
"status": [
"Changed"
]
}
}{
"activityId": 123
}Returns detailed information about the specified activity.
Bearer access_token
Successfully retrieved activity
Unique identifier of the activity.
52161Activity type.
Commit To BranchValores possíveis: Current execution status of the activity.
CompletedValores possíveis: Timestamp when the activity was created.
2024-11-20T01:04:56.649ZNull if the job has not yet completed.
2024-11-20T01:04:56.649ZExecution time in HH:MM:SS format.
00:00:04Invalid path parameters
Activity not found
Unexpected internal error while processing activities.
GET /topologies/{topologyId}/activities/{activityId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 52161,
"type": "Commit To Branch",
"status": "Completed",
"source": {
"id": 1,
"type": "Branch",
"name": "main",
"metadata": {
"organizationType": "Sandbox",
"connectionType": "Salesforce",
"environment": "Dev",
"assignApps": {
"backupAndArchive": true,
"devOps": true,
"dataMigrator": true
},
"externalId": "00D..."
}
},
"target": {
"id": 1,
"type": "Branch",
"name": "main",
"metadata": {
"organizationType": "Sandbox",
"connectionType": "Salesforce",
"environment": "Dev",
"assignApps": {
"backupAndArchive": true,
"devOps": true,
"dataMigrator": true
},
"externalId": "00D..."
}
},
"createdBy": {
"id": 1,
"name": "dev dev"
},
"createdAt": "2024-11-20T01:04:56.649Z",
"completedAt": "2024-11-20T01:04:56.649Z",
"duration": "00:00:04",
"codeScan": {
"codeScanId": 1,
"severityThreshold": {},
"description": {},
"checkType": "text",
"branch": "text"
},
"gitSync": {
"syncId": 1
},
"commitContext": {
"commitId": 1,
"organizationId": 1,
"componentIds": [
1
],
"branchId": 1,
"message": "text",
"userId": 1,
"selectAll": true,
"types": [
"text"
],
"search": "text"
},
"deployContext": {
"deploymentId": 1,
"organizationId": 1,
"branchId": 1,
"selectAll": true,
"componentIds": [
1
],
"organizationProperties": {},
"types": [
"text"
]
},
"validationContext": {
"deploymentId": 1,
"branchId": 1,
"organizationId": 1,
"componentIds": [
1
],
"selectAll": true,
"organizationProperties": {},
"search": "text",
"types": [
"text"
]
},
"searchConflictContext": {
"searchConflictId": 1
},
"retrieveContext": {
"retrieveId": 1,
"organizationId": 1,
"userId": 1
},
"overwriteProtectionContext": {
"overwriteProtectionId": 1,
"organizationId": 1,
"branchId": 1,
"selectAll": true,
"componentIds": [
1
],
"organizationProperties": {},
"types": [
"text"
]
},
"mergeContext": {
"targetBranchId": 1,
"sourceBranchId": 1,
"userId": 1,
"mergeType": "text"
},
"quickDeployContext": {
"deploymentId": 1,
"branchId": 1,
"organizationId": 1,
"validationDeploymentId": 1,
"salesforceValidateId": "text"
},
"preDeployFixSearchContext": {
"preDeployFixSearchId": 1,
"branchId": 1,
"organizationId": 1
},
"preDeployFixRetrieveContext": {
"preDeployFixRetrieveId": 1,
"userId": 1,
"branchId": 1,
"organizationId": 1,
"message": "text",
"selectAll": true,
"dependencyIds": [
1
]
},
"preDeployFixRemoveContext": {
"preDeployFixRemoveId": 1,
"userId": 1,
"branchId": 1,
"message": "text",
"selectAll": true,
"dependencyIds": [
1
],
"organizationId": 1
},
"preDeployFixUpdateContext": {
"preDeployFixUpdateId": 1,
"userId": 1,
"branchId": 1,
"message": "text",
"selectAll": true,
"apiVersionIds": [
1
],
"organizationId": 1
},
"rollbackContext": {
"deploymentId": 1,
"organizationId": 1,
"selectAll": true,
"deploymentChangeIds": [
1
],
"search": "text",
"types": [
"text"
],
"status": [
"Changed"
]
},
"searchAndReplaceContext": {
"searchAndReplaceId": 1,
"commitId": 1,
"branchId": 1,
"message": "text",
"searchText": "text",
"replaceText": "text",
"selectAll": true,
"componentIds": [
1
],
"userId": 1,
"types": [
"text"
],
"search": "text"
},
"retrieveComponentUsersContext": {
"organizationId": 1,
"declarativeFilterLines": [
{}
],
"customLogic": "text"
},
"migrationContext": {
"migrationRequestId": 1,
"dataMigratorRequestId": 1,
"userId": 1,
"tenantName": "text",
"adminUserId": "text",
"repositoryId": "text",
"organizationIds": [
"text"
],
"userIds": [
"text"
],
"ignoreNamespace": true
}
}Atualizado
Isto foi útil?